Thread (6 messages) 6 messages, 5 authors, 2016-09-26

Re: [PATCH 1/1] toolchain-shar-relocate.sh: Add error-handling

From: Christopher Larson <hidden>
Date: 2016-09-22 02:06:58

On Wed, Sep 21, 2016 at 12:54 AM, [off-list ref] wrote:
quoted hunk ↗ jump to hunk
diff --git a/meta/files/toolchain-shar-relocate.sh
b/meta/files/toolchain-shar-relocate.sh
index d4bcf0e..e491153 100644
--- a/meta/files/toolchain-shar-relocate.sh
+++ b/meta/files/toolchain-shar-relocate.sh
@@ -1,3 +1,8 @@
+if ! xargs --version > /dev/null 2>&1; then
+       echo "xargs is required by the relocation script, please install
it firts. Abort!"
+       exit 1
+fi
This is pointless, xargs is mandated by posix/sus.
-- 
Christopher Larson
clarson at kergoth dot com
Founder - BitBake, OpenEmbedded, OpenZaurus
Maintainer - Tslib
Senior Software Engineer, Mentor Graphics
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help